struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Gainty <mgai...@hotmail.com>
Subject RE: interfaces with default methods on actions
Date Mon, 13 Jun 2016 11:22:36 GMT



> From: abrin@digitalantiquity.org
> Date: Sun, 12 Jun 2016 06:40:03 -0700
> Subject: Re: interfaces with default methods on actions
> To: user@struts.apache.org
> 
> It would be great if we could remove ASM3.  My naive investigation suggests
> that both ASM 3 and ASM 5 share some of the same clases in the same package
> structure which are likely the cause of some of our issues. If it really is
> that one class, it shouldn't be to complex.  Regarding Spring and ASM --
> spring repackages ASM under their own class path to avoid some of the
> compatibility change/issues:
> 
> (historic)
> http://docs.spring.io/spring/docs/3.2.x/spring-framework-reference/html/migration-3.2.html
> (current)
> http://docs.spring.io/spring/docs/current/javadoc-api/org/springframework/asm/package-summary.html
> MG>then struts spring plugin referencing spring-core version 3.2 *should* pull ASM5.0.1
inline?MG>then struts spring plugin referencing spring core version 4.x *must* pull ASM5.0.3
inline?
MG>appears that spring-plugin *can* implement spring 3.2 as long as we omit JSR-310 date-time,
no parameter discovery via -parameters
MG>but spring-plugin may be forced to implement spring-core 4.0.3 as spring 3.2.x will
be deprecated in 2016?MG>can you confirm spring-plugin needs to upgrade spring 3.2.x to
spring-core 4.0.3 mid 2016?

MG>switching spring-frameworks for compile-time/runtime scenarios can of course be handled
thru maven profiles (if we know a-priori)
MG>Thanks Adam
> Thanks!
> 
> On Sun, Jun 12, 2016 at 5:42 AM, Martin Gainty <mgainty@hotmail.com> wrote:
> 
> >
> >
> >
> > > From: lukaszlenart@apache.org
> > > Date: Sun, 12 Jun 2016 11:31:26 +0200
> > > Subject: Re: interfaces with default methods on actions
> > > To: user@struts.apache.org
> > >
> > > 2016-06-12 6:46 GMT+02:00 Johannes Geppert <johgep@gmail.com>:
> > > > Is there still any reason to still use asm3?
> > > > Or should we change this with 2.5.x?
> > >
> > > Yes, we should drop ASM3 and the Java8 plugin as well and switch to ASM5.
> >
> > MG> with regards to spring plugin dependencies:
> > spring-beans,spring-core,spring-context,spring-webMG>for testing:
> > spring-testMG>which version of spring dependencies should we use to pull in
> > ASM5 transitive dependency?
> >
> > MG>is there a way to test struts spring plugin will work with ASM5 on
> > Java8 as well as Java7?
> > MG>Thanks Lukasz and Johannes
> > >
> > >
> > > Regards
> > > --
> > > Ɓukasz
> > > + 48 606 323 122 http://www.lenart.org.pl/
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> > > For additional commands, e-mail: user-help@struts.apache.org
> > >
> >
> >
> 
> 
> 
> -- 
> _________________________________________________________
> Adam Brin
> Director of Technology, Digital Antiquity
> 480.965.1278
 		 	   		  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message